[**@rxap/material-table-system v19.0.2-dev.1**](../README.md)

***

[@rxap/material-table-system](../globals.md) / TableCreateButtonDirective

# Class: TableCreateButtonDirective\<Data\>

Defined in: [packages/angular/material/table-system/src/lib/table-create-button/table-create-button.directive.ts:24](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-create-button/table-create-button.directive.ts#L24)

## Type Parameters

• **Data** *extends* `Record`\<`string`, `any`\>

## Implements

- `OnInit`
- `OnDestroy`

## Constructors

### new TableCreateButtonDirective()

> **new TableCreateButtonDirective**\<`Data`\>(`method`, `elementRef`, `renderer`): [`TableCreateButtonDirective`](TableCreateButtonDirective.md)\<`Data`\>

Defined in: [packages/angular/material/table-system/src/lib/table-create-button/table-create-button.directive.ts:34](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-create-button/table-create-button.directive.ts#L34)

#### Parameters

##### method

`Method`\<`any`, `Data` \| `Observable`\<`Data`\>\>

##### elementRef

`ElementRef`

##### renderer

`Renderer2`

#### Returns

[`TableCreateButtonDirective`](TableCreateButtonDirective.md)\<`Data`\>

## Properties

### dataSource

> **dataSource**: [`TableDataSourceDirective`](TableDataSourceDirective.md)\<`Data`\>

Defined in: [packages/angular/material/table-system/src/lib/table-create-button/table-create-button.directive.ts:30](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-create-button/table-create-button.directive.ts#L30)

## Methods

### ngOnDestroy()

> **ngOnDestroy**(): `void`

Defined in: [packages/angular/material/table-system/src/lib/table-create-button/table-create-button.directive.ts:52](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-create-button/table-create-button.directive.ts#L52)

A callback method that performs custom clean-up, invoked immediately
before a directive, pipe, or service instance is destroyed.

#### Returns

`void`

#### Implementation of

`OnDestroy.ngOnDestroy`

***

### ngOnInit()

> **ngOnInit**(): `void`

Defined in: [packages/angular/material/table-system/src/lib/table-create-button/table-create-button.directive.ts:44](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-create-button/table-create-button.directive.ts#L44)

A callback method that is invoked immediately after the
default change detector has checked the directive's
data-bound properties for the first time,
and before any of the view or content children have been checked.
It is invoked only once when the directive is instantiated.

#### Returns

`void`

#### Implementation of

`OnInit.ngOnInit`

***

### onClick()

> **onClick**(): `Promise`\<`void`\>

Defined in: [packages/angular/material/table-system/src/lib/table-create-button/table-create-button.directive.ts:59](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-create-button/table-create-button.directive.ts#L59)

#### Returns

`Promise`\<`void`\>
